package grafica;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.util.ArrayList;
import java.util.Timer;

import javax.swing.JFrame;
import javax.swing.JPanel;

public class Pannello extends JPanel implements Runnable {
	
	private ArrayList<Palla> palline;
	
	public Pannello() {
		palline = new ArrayList<Palla>();
		this.setBackground(Color.WHITE);
		this.addMouseListener(new MouseListener() {
			long start;
			public void mouseReleased(MouseEvent e) {
				long secondi = 1 + (System.currentTimeMillis() - start) / 1000;
				int dimensione = (int) secondi * 20;
				int dim = Integer.min(500, (int) dimensione);
				palline.add(new Palla(e.getX(), e.getY(), dim, (Pannello) e.getComponent()));
				palline.get(palline.size()-1).start();
			}			
			public void mousePressed(MouseEvent e) {				
				start = System.currentTimeMillis();
			}
			public void mouseExited(MouseEvent e) {}
			public void mouseEntered(MouseEvent e) {}
			public void mouseClicked(MouseEvent e) {}
		});
		Thread t = new Thread(this);
		t.start();
	}

	public void paintComponent(Graphics g) {
		super.paintComponent(g);
		for(Palla p : palline){
			g.setColor(Color.RED);
			g.fillOval(p.x, p.y, p.dimensione, p.dimensione);
		}
	}

	public void run() {
		try {
			while (true) {
				Thread.sleep(100);
				this.repaint();
			}
		} catch (Exception e) {
		}
	}	
}